Subject: Re: [PATCH] Bluetooth: Fix null pointer dereference in l2cap_chan_send

From: Gustavo Padovan <[email-masked]>
Date: Mon, 21 May 2012 13:17:07 -0300

Hi Minho,

* Minho Ban <[email-masked]> [2012-05-21 09:58:19 +0900]:

> If l2cap_chan_send is called will null conn it will cause kernel Oops.
> This patch checks if conn is valid before entering l2cap_chan_send.

chan->conn should be always valid, and if not we have a bug somewhere else in
the code and not in l2cap_chan_send(). It could be a locking problem maybe.
Also check if you can reproduce this with latest bluetooth-next.

	Gustavo